# SRC/dGetDiagU.c File Reference

Extracts main diagonal of matrix. More...

`#include <slu_ddefs.h>`

## Functions
void | dGetDiagU (SuperMatrix *L, double *diagU)

## Detailed Description

     -- Auxiliary routine in SuperLU (version 2.0) --
     Lawrence Berkeley National Lab, Univ. of California Berkeley.
     Xiaoye S. Li
     September 11, 2003

      Purpose
     =======

     GetDiagU extracts the main diagonal of matrix U of the LU factorization.

     Arguments
     =========

     L      (input) SuperMatrix*
            The factor L from the factorization Pr*A*Pc=L*U as computed by
            dgstrf(). Use compressed row subscripts storage for supernodes,
            i.e., L has types: Stype = SLU_SC, Dtype = SLU_D, Mtype = SLU_TRLU.

     diagU  (output) double*, dimension (n)
            The main diagonal of matrix U.

     Note
     ====
     The diagonal blocks of the L and U matrices are stored in the L
     data structures.

## Function Documentation

void dGetDiagU | ( | SuperMatrix * | L,
|  | double * | diagU |
| ) |  |  |